This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 573530

Summary: Package Gecko support
Product: [Fedora] Fedora Reporter: Matt McCutchen <matt>
Component: wineAssignee: Andreas Bierfert <andreas.bierfert>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 17CC: andreas.bierfert, andriy.tsykholyas, bbaetz, bugzilla.redhat, dmalcolm, kvolny, orion, qhong, Speeddymon, tvujec, urilabob
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://wiki.winehq.org/Gecko
Whiteboard:
Fixed In Version: mingw-wine-gecko-1.5-2.fc17 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-04-11 22:18:33 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 577951    
Bug Blocks:    

Description Matt McCutchen 2010-03-15 00:17:05 EDT
Description of problem:
When I start a program with Wine, a dialog box titled "Wine Gecko Installer" appears and asks whether I want it to install Gecko support for Wine.  It advises that having the distribution take care of this is preferable.  See http://wiki.winehq.org/Gecko .

Version-Release number of selected component (if applicable):
wine-1.1.38-1.fc12

How reproducible:
The one time I tried.

Steps to Reproduce:
1. Delete ~/.wine .
2. Start a program with Wine.

Actual results:
A message about Gecko appears.

Expected results:
It just works, provided that the appropriate packages are installed.
Comment 1 Orion Poplawski 2010-05-21 17:07:45 EDT
On F13 with wine-1.1.44-4.fc13.i686 the window is tiny - about 10x10 or something and non-resizeable.
Comment 2 Thomas Spear 2010-07-26 14:17:19 EDT
This happens with wine-1.2 as well, though the box appears normal size.

If I click install, the install dialog appears, but never downloads anything. If I click cancel, then it skips the installation permanently.

There is no package in the repositories named wine-gecko, but the following appears when starting winecfg for the first time after install:

[tom@tom ~]$ winecfg
wine: created the configuration directory '/home/tom/.wine'
Could not load wine-gecko. HTML rendering will be disabled.
wine: configuration in '/home/tom/.wine' has been updated.
[tom@tom ~]$ 

One example of where this works on other distros but not on F13 is the World of Warcraft Launcher. On SLED 11, the Launcher window downloads information from the Blizzard servers to display inside an html control. On F13, the Launcher window appears and in the center displays "Contacting News Server." but the things that should appear there never come up.

I can provide a screenshot of working Launcher from SLED11 tomorrow, or from Windows today, and I can provide a screenshot of a non-working Launcher from F13 momentarily, if needed.
Comment 3 Thomas Spear 2010-07-26 14:25:54 EDT
If you download the wine-gecko package from sourceforge and install it properly, it appears to satisfy the initial configuration's request to install it, and therefore you do not get prompted. I will attempt to check that it actually functions properly and report back this evening.
Comment 4 Thomas Spear 2010-07-27 01:48:29 EDT
After testing, the binary package wine-gecko from sourceforge does appear to satisfy the dependency and allow html controls to work properly.

It would be nice to either

a) have the installer fixed or
b) have the wine-gecko binary included in future packages
Comment 5 Bug Zapper 2010-11-03 15:41:31 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Tomislav Vujec 2010-11-10 14:30:23 EST
I've noticed the problem if I have a mixed 32/64 bit install of wine. If I only install i686 packages the problem disappears.
Comment 7 Bradley 2010-11-11 04:49:51 EST
I have this issue with only 32-bit wine installed (on a 64-bit os, though)
Comment 8 bob mckay 2011-05-08 04:24:49 EDT
This bug is still present in 1.3.18 (64-bit) under fedora 14.
Comment 9 Karel Volný 2011-08-29 10:24:40 EDT
the same for me, F15
Comment 10 Kaare Fiedler Christiansen 2011-11-12 14:33:25 EST
I can confirm this bug for Fedora 16 as well.
Comment 11 Fedora Update System 2012-03-21 14:19:45 EDT
mingw-wine-gecko-1.5-2.fc17,wine-1.5.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mingw-wine-gecko-1.5-2.fc17,wine-1.5.0-2.fc17
Comment 12 Fedora Update System 2012-03-22 20:39:01 EDT
Package mingw-wine-gecko-1.5-2.fc17, wine-1.5.0-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-wine-gecko-1.5-2.fc17 wine-1.5.0-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4436/mingw-wine-gecko-1.5-2.fc17,wine-1.5.0-2.fc17
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2012-04-11 22:18:33 EDT
mingw-wine-gecko-1.5-2.fc17, wine-1.5.0-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.